.\"	$NetBSD: ct.4,v 1.8 2002/04/05 05:37:23 gmcgarry Exp $
.\"
.\" Copyright (c) 1990, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" This code is derived from software contributed to Berkeley by
.\" the Systems Programming Group of the University of Utah Computer
.\" Science Department.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)ct.4	8.1 (Berkeley) 6/9/93
.\"
.Dd June 9, 1993
.Dt CT 4 hp300
.Os
.Sh NAME
.Nm ct
.Nd
.Tn CS/80
cartridge tape interface
.Sh SYNOPSIS
.Cd "ct0 at hpibbus? slave ?"
.Sh DESCRIPTION
The cartridge tape interface as found in the 7946 and 9144 products
provides a standard tape drive interface as described in
.Xr mtio 4
with the following exceptions:
.Bl -enum
.It
There is only one density.
.It
Only the
.Dq raw
interface is supported.
.It
The
.Dv MTIOCTOP
.Xr ioctl 2
is limited.
In particular, the command,
.Dv MTFSR
is not supported.
.It
The
.Dv MTIOCGET
.Xr ioctl 2
is not supported.
.It
The record size for read and write operations must be between
1K and 64K inclusive.
.El
.Pp
Special files
.Pa rct0
through
.Pa rct3
refer to rewind on close interfaces to drives 0 to 3.
Files
.Pa rct4
through
.Pa rct7
refer to no-rewind interfaces.
Files
.Pa rct8
through
.Pa rct11
refer to streaming rewind on close interfaces. (Only 9144 type devices
can stream.)
Lastly,
.Pa rct12
through
.Pa rct15
refer to streaming no-rewind interfaces.
.Sh SEE ALSO
.Xr mt 1 ,
.Xr tar 1 ,
.Xr mtio 4
.Sh BUGS
Read and writes of less than 1024 bytes will not behave as expected.
